From bbf469c181266aaffb35ea1c4982b1c086543220 Mon Sep 17 00:00:00 2001
From: Hari Babu <kommi.haribabu@gmail.com>
Date: Mon, 4 Feb 2019 12:05:33 +1100
Subject: [PATCH] log_file_mode recommended value update

For group read access instance, the recommended value of
log_file_mode is 0640 to allow reading of log files by the
members of the same group
---
 doc/src/sgml/config.sgml | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 6d42b7afe7..c6247a68f5 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -5480,13 +5480,13 @@ local0.*    /var/log/postgresql
        </para>
        <para>
         The default permissions are <literal>0600</literal>, meaning only the
-        server owner can read or write the log files.  The other commonly
-        useful setting is <literal>0640</literal>, allowing members of the owner's
-        group to read the files.  Note however that to make use of such a
-        setting, you'll need to alter <xref linkend="guc-log-directory"/> to
-        store the files somewhere outside the cluster data directory.  In
-        any case, it's unwise to make the log files world-readable, since
-        they might contain sensitive data.
+        server owner can read or write the log files.  The other commonly useful
+        setting is <literal>0640</literal>, allowing members of the owner's group
+        to read the files. Permissions <literal>0640</literal> are recommended to
+        be compatible with <application>initdb</application> option <option>--allow-group-access</option>.
+        Note however that to make use of any settings other than recommended,
+        you'll need to alter <xref linkend="guc-log-directory"/>
+        to store the files somewhere outside the cluster data directory.
        </para>
        <para>
         This parameter can only be set in the <filename>postgresql.conf</filename>
-- 
2.20.1.windows.1

